select * from T_RegionCategory --where F_ParentId in (select F_RegionId from T_RegionCategory where F_ParentId=16 and F_Layer=2) group by F_RegionName
--F_Layer=3--where F_ParentId>0
--truncate table T_RegionCategory
--乡镇
--insert into T_RegionCategory(F_RegionName,F_Layer,F_ParentId,F_DeleteFlag)
--select F_RegionName,4,(select F_RegionID from T_RegionCategory where F_ParentId in (select F_RegionId from T_RegionCategory where F_ParentId=16 and F_Layer=2) and F_Layer=3 and F_RegionName=f_districtcounty ) F_ParentId,0 from [AD_Township-henan]

--区县
--insert into T_RegionCategory(F_RegionName,F_Layer,F_ParentId,F_DeleteFlag)
----select F_Name,3,F_ParentId,0 from AC_DistrictCounty2
--insert into T_RegionCategory(F_RegionName,F_Layer,F_ParentId,F_DeleteFlag)values('郑州经济技术开发区',3,182,0)
--insert into T_RegionCategory(F_RegionName,F_Layer,F_ParentId,F_DeleteFlag)values('郑州高新技术产业开发区',3,182,0)
--insert into T_RegionCategory(F_RegionName,F_Layer,F_ParentId,F_DeleteFlag)values('郑州航空港经济综合实验区',3,182,0)
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(184,3,0,'洛阳高新技术产业开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(185,3,0,'平顶山高新技术产业开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(185,3,0,'平顶山市新城区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(186,3,0,'安阳高新技术产业开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(187,3,0,'鹤壁经济技术开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(188,3,0,'新乡高新技术产业开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(188,3,0,'新乡经济技术开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(188,3,0,'新乡市平原城乡一体化示范区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(189,3,0,'焦作城乡一体化示范区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(190,3,0,'河南濮阳工业园区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(190,3,0,'濮阳经济技术开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(191,3,0,'许昌经济技术开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(192,3,0,'漯河经济技术开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(193,3,0,'河南三门峡经济开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(194,3,0,'豫东综合物流产业聚集区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(194,3,0,'河南商丘经济开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(195,3,0,'河南周口经济开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(196,3,0,'河南驻马店经济开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(197,3,0,'南阳高新技术产业开发区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(197,3,0,'南阳市城乡一体化示范区')
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)values(198,3,0,'信阳高新技术产业开发区')

--市
--insert into T_RegionCategory(F_RegionName,F_Layer,F_ParentId,F_DeleteFlag)
--select F_RegionName,F_Layer,(select F_RegionId from T_RegionCategory where F_RegionName=AB_city.F_Province) F_Parentid,0 from AB_city
--insert into T_RegionCategory(F_ParentId,F_Layer,F_DeleteFlag,F_RegionName)
--values(199,3,0,'济源市')

--省
--insert into T_RegionCategory(F_RegionName,F_Layer,F_ParentId,F_DeleteFlag)
--select F_RegionName,F_Layer,F_ParentId,0 from AA_province
select * from T_RegionCategory where F_ParentId=16 and F_Layer=2
select * from T_RegionCategory where F_ParentId in (select F_RegionId from T_RegionCategory where F_ParentId=16 and F_Layer=2) 
select *,(select F_RegionID from T_RegionCategory where F_ParentId in (select F_RegionId from T_RegionCategory where F_ParentId=16 and F_Layer=2) and F_Layer=3 and F_RegionName=f_districtcounty ) from [AD_Township-henan]




--update T_RegionCategory set F_RegionName='管城回族区' where F_RegionId=1737
--update T_RegionCategory set F_RegionName='顺河回族区' where F_RegionId=1748
--update T_RegionCategory set F_RegionName='瀍河回族区' where F_RegionId=1757


--select F_RegionName,COUNT(1) from T_RegionCategory where F_ParentId>0 group by F_RegionName
--select * from T_RegionCategory where F_RegionId in (17,21)
--select * from AC_DistrictCounty2 where F_City='省直辖县级行政区划'
--select * from AA_province
--select *,(select F_RegionId from AA_province where F_Province=F_RegionName) F_Parentid from AB_city
--select * from AC_DistrictCounty2 where F_City='省直辖县级行政区划'
--select * from AC_DistrictCounty2
--select * from AD_Township-henan

--select F_RegionName,COUNT(1) from AB_city group by F_RegionName
--select * from AB_City where F_RegionName='省直辖县级行政区划'


--select  * from splitl('东城区、西城区、朝阳区、丰台区、石景山区、海淀区、顺义区、通州区、大兴区、房山区、门头沟区、昌平区、平谷区、密云区、怀柔区、延庆区、密云县、延庆县','、') 
